%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Summary: Xen is a virtual machine monitor
Name:    xen
Version: 3.0.3
Release: 64%{?dist}.3
Group:   Development/Libraries
License: GPLv2+, LGPLv2+
URL:     http://www.cl.cam.ac.uk/Research/SRG/netos/xen/index.html
Source0: http://bits.xensource.com/oss-xen/release/3.0.3-0/src.tgz/xen-3.1.0-src.tgz
Source1: http://bits.xensource.com/oss-xen/release/3.0.3-0/src.tgz/xen-3.0.3_0-src.tgz
Source3: xen.sysconfig
Patch1: xen-initscript.patch
Patch3: xen-compile-fixes.patch
Patch6: xen-network-iptables-bridge.patch
Patch9: xen-logfile-O_APPEND.patch

Patch10: xen-uptime-device.patch
Patch11: xen-print-fullpath.patch
Patch13: xen-dumpdir.patch

Patch20: xen-floppy-device.patch
Patch21: xen-blktap-no-aio-epoll.patch
Patch26: xen-xm-list-memory.patch
Patch28: xen-http-dump.patch
Patch29: xen-xendomains-clean-restore.patch

Patch30: xen-xc-loglevel.patch
Patch33: xen-xenbus-force-option.patch
Patch35: xen-ja-keyboard.patch
Patch37: xen-vnc-domid-vm.patch

Patch40: xen-man-pages.patch
Patch41: xen-man-pages-block.patch
Patch42: xen-32bit-fv-core-dump.patch
Patch43: xen-destroy-device.patch
Patch44: xen-console-log.patch
Patch45: xen-blktap-hotplug-check.patch
Patch46: xen-sexpr-threaded.patch
Patch47: xen-network-addr-test.patch
Patch48: xen-debug-log-perms.patch
Patch49: xen-hotplug-errors.patch

Patch50: xen-network-root.patch
Patch51: xen-console-ratelimit.patch
Patch52: xen-block-readonly.patch
Patch53: xen-hvm-port-cast.patch
Patch54: xen-dump-core-ignore-fail.patch
Patch55: xen-network-bonding-fix.patch
Patch56: xen-keyboard.patch
Patch57: xen-qemu-vnc-delete.patch
Patch58: xen-normalize-uuid.patch
Patch59: xen-qemu-rtl8139-checksum.patch

Patch60: xen-hotplug-block-flock.patch
Patch61: xen-ipv6-xenbr.patch
Patch62: xen-baked-tmpfile.patch
Patch63: xen-pygrub-dryrun.patch
Patch64: xen-pygrub-cleanup.patch
Patch65: xen-tdb-cleanup.patch
Patch66: xen-usb-tablet-fix.patch
Patch67: xen-physinfo-numa-sysctl-tools.patch
Patch68: xen-physinfo-nrcpus-sysctl-tools.patch
Patch69: xen-availheap-sysctl-tools.patch

Patch70: xen-xm-trigger.patch
Patch71: xen-netdev-alias.patch
Patch72: xen-xm.1-vif.patch
Patch73: xen-blkif-none-check.patch
Patch74: xen-libxc-destroy.patch
Patch75: xen-pae-crash-fix.patch
Patch76: xen-qemu-type-ioemu.patch
Patch78: xen-block-configure.patch
Patch79: xen-reboot-devices-wait.patch

Patch80: xen-pygrub-unaligned.patch
Patch81: xen-console-log-timestamp.patch
Patch82: xen-reboot-background.patch
Patch83: xen-physinfo-numa-sysctl-null.patch
Patch84: xen-clarify-mem-set-vcpu-set.patch

Patch93: xen-qemu-realpath-buflen.patch

# Patches to modify the default config of xend
Patch100: xen-config-dom0-minmem.patch
Patch102: xen-3.0.2-config-allow-unix-server.patch
Patch103: xen-3.0.2-config-disable-reloc.patch

# pv framebuffer patches
Patch201: xen-pvfb.patch
Patch202: xen-pvfb-compat.patch
Patch204: xen-pvfb-no-hvm.patch
Patch207: xen-pvfb-startup-race.patch
Patch208: xen-pvfb-compat-32-on-64.patch
Patch209: xen-pvfb-shutdown.patch
Patch210: xen-pvfb-xm-keymap.patch
Patch211: xen-pvfb-bogus-update.patch
Patch212: xen-pvfb-fix-02-qemu-pv-machine.patch

# patches to make VNC only listen on localhost by default / use passwords
Patch222: xen-vncpassword-5.patch
Patch224: xen-vncpassword-remove.patch
Patch226: xen-remove-vnc-monitor.patch

# pygrub patches
Patch251: pygrub-manykernels.patch
Patch252: pygrub-cosmetics.patch
# CVE-2007-4993
Patch253: pygrub-dont-exec.patch
Patch254: pygrub-liloconf.patch

# Patches to deal with stuff from the 3.1.0 backport
# Remove xm i18n from build process
Patch500: xen-3.1.0-kill-i18n.patch
# Fix for libxc  domid <-> dom  changes
Patch501: xen-3.1.0-libxc-domid.patch
# Fix for change in domain creation requirements
Patch502: xen-3.1.0-dom-create.patch
# Fix PV restore & implement HVM save+restore
Patch503: xen-3.1.0-save-restore.patch
# Move pygrub output back to /var/lib/xen
Patch504: xen-3.1.0-pygrub-path.patch
# Move blktap pipes back to /dev/xen
Patch505: xen-3.1.0-blktapctrl-path.patch
# Move HVM device state to /var/lib/xen instead of /tmp
Patch506: xen-3.1.0-save-restore-hvm-path.patch
# Disable Xen API docs build since we don't have that
Patch507: xen-3.1.0-no-xenapi-docs.patch
# Determine native protocol for kernel image
Patch508: xen-3.1.0-libxc-native-protocol.patch
# Write the native protocol for front/back devices
Patch509: xen-3.1.0-dev-native-protocol.patch

# Add NVRAM support for ia64
Patch510: xen-3.1.0-ia64-nvram.patch
# Revert a bit of save/restore code we shouldn't have included
Patch511: xen-3.1.0-revert-checkpoint.patch
# Don't destroy guests after shutdown timeout
Patch512: xen-3.1.0-no-reboot-destroy.patch
# QEMU error checking in HVM restore
Patch513: xen-3.1.0-qemu-error-check.patch
# XenD balloon enough memory for HVM restore
Patch514: xen-3.1.0-xendcheckpoint-hvm-balloon.patch
# Avoid bogus VNC password prompts after migrate/restore
Patch515: xen-3.1.0-hvm-nopasswd-migrate.patch
Patch516: xen-3.1.0-nvram-cleanup.patch
Patch517: xen-3.1.0-qemu-nvram-cleanup.patch
Patch518: xen-3.1.0-xend-pci-domid.patch

# CVE-2007-1321
Patch600: xen-qemu-ne2000-CVE-2007-1321.patch
Patch601: xen-qemu-CVE-2007-5730.patch
# CVE-2008-0928
Patch603: xen-qemu-CVE-2008-0928.patch

# New VNC TLS support & replacement password support - obsoletes some
# of previous 3 patches
Patch700: xen-pvfb-01-qemu-fv-machine.patch
Patch701: xen-pvfb-02-qemu-pv-machine.patch
Patch702: xen-pvfb-03-xenfb-remove.patch
Patch703: xen-qemu-vnc-revert-password.patch
Patch704: xen-qemu-iohandler-delete.patch
Patch705: xen-qemu-vnc-authentication.patch
Patch706: xen-qemu-vnc-x509-certs.patch
Patch707: xen-pvfb-compat-qemu.patch
Patch708: xen-pvfb-04-qemu-pv-keyevent.patch
Patch709: xen-pvfb-validate-fb.patch
Patch710: xen-pvfb-bogus-update-oldxenfb.patch

# make sure to flush data to disk if the guest requests it
Patch800: xen-3.1.0-ioemu-odirect-flush.patch
# fix HVM SMP boot on Intel machines
Patch801: xen-3.1.0-hvm-smp-boot.patch

# CVE-2008-2004
Patch802: xen-qemu-block-no-auto-format.patch
# CVE-2008-1945
Patch803: xen-qemu-usbdisk-no-auto-format.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: transfig libidn-devel zlib-devel texi2html SDL-devel curl-devel
BuildRequires: libX11-devel python-devel ghostscript tetex-latex 
BuildRequires: ncurses-devel gtk2-devel libaio-devel
# for the docs 
BuildRequires: perl 
# so that the makefile knows to install udev rules
BuildRequires: udev 
%ifnarch ia64
# so that x86_64 builds pick up glibc32 correctly
BuildRequires: /usr/include/gnu/stubs-32.h
# for the VMX "bios" 
BuildRequires: dev86
%endif
Requires: bridge-utils
Requires: udev >= 059
Requires: python-virtinst
Requires: xen-libs = %{version}-%{release}
# Not strictly a dependency, but kpartx is by far the most useful tool right
# now for accessing domU data from within a dom0 so bring it in when the user
# installs xen.
Requires: kpartx
Prereq: chkconfig
ExclusiveArch: i386 i686 x86_64 ia64
# For -r arg to losetup (rhbz 237659)
Requires: util-linux >= 2.13-0.45.el5

# Ensure we at least have a suitable kernel installed, though we can't
# force user to actually boot it.
Requires: xen-hypervisor-abi = 3.1

%description
This package contains the Xen tools and management daemons needed 
to run virtual machines on x86, x86_64, and ia64 systems. 
Information on how to use Xen can be found at the Xen project pages.

The Xen system also requires the Xen hypervisor and domain-0 
kernel, which can be found in the kernel-xen* package.

Virtualization can be used to run multiple operating systems on one
physical system, for purposes of hardware consolidation, hardware
abstraction, or to test untrusted applications in a sandboxed 
environment.

%package libs
Summary: Libraries for Xen tools
Group: Development/Libraries
Requires(pre): /sbin/ldconfig
Requires(post): /sbin/ldconfig

%description libs
This package contains the libraries needed to run applications to manage 
Xen virtual machines.

%package devel
Summary: Development libraries for Xen tools
Group: Development/Libraries
Requires: xen-libs = %{version}-%{release}

%description devel
This package contains what's needed to develop applications to manage Xen
virtual machines. 

%prep
%setup -q -n xen-3.1.0-src -a 1

# Retrofit original 3.0.3 XenD & XM tool
for i in sv util web xend xm
do
  rm -rf tools/python/xen/$i
  mv xen-3.0.3_0-src/tools/python/xen/$i tools/python/xen/$i
done

# And the docs to match..
rm -rf docs/man
mv xen-3.0.3_0-src/docs/man docs/

# And hotplug stuff / init scripts / example configs
rm -rf tools/examples
mv xen-3.0.3_0-src/tools/examples tools/

# And original XenD startup script
rm -rf tools/misc/xend
mv xen-3.0.3_0-src/tools/misc/xend tools/misc

%patch1 -p1 -b .init
%patch3 -p1 -b .compile
%patch6 -p1
%patch9 -p1

%patch10 -p1
%patch11 -p1
%patch13 -p1

# virtual floppy could be a device node
%patch20 -p1
# blktap patches
%patch21 -p1
# xm list should show the amount of memory a guest actually has
%patch26 -p1
# allow http RPC to dump core of a domain
%patch28 -p1
# do not auto-start a domain that was also restored from a save
%patch29 -p1

# use log level info for messages that are not errors
%patch30 -p1
# add a --force option to the xenbus device detach code
%patch33 -p1
# make JP106 keyboards work
%patch35 -p1
# write the /local/domain/vm node early in the startup process
%patch37 -p1

# Updates/fixes for man pages
%patch40 -p1
%patch41 -p1
# Fix 32-bit core dumps in HVM
%patch42 -p1
# Fix destroyDevice() args
%patch43 -p1
# Add persistent logging of guest & HV consoles
%patch44 -p1
# Check file exists in blktap hotplug
%patch45 -p1
# Make XenD serve SEXPR requests multi-threaded
%patch46 -p1
# Fix address test in network-bridge
%patch47 -p1
# xend-debug.log permissions
%patch48 -p1
# xen hotplug error reportings
%patch49 -p1

# Fix NFS / iSCSI root devices
%patch50 -p1
# Rate limit guest console messages
%patch51 -p1
# Use -r flag with losetup for readonly files
%patch52 -p1
# Fix string -> int cast of HVM port
%patch53 -p1
# Ignore failures when dumping core
%patch54 -p1
# Fix network bonding
%patch55 -p1
# Fix various VNC keyboard keycode/keysym mapping issues
%patch56 -p1
# Fix potential QEMU crash when VNC client disconnects
%patch57 -p1
# Normalize UUID to avoid serious confusion when xend restarts
%patch58 -p1
# Fix rtl8139 checksum calculations for VISTA happiness
%patch59 -p1

# Change hotplug script locking to use flock
%patch60 -p1
# Disable IPv6 autocofn for bridge
%patch61 -p1
# Fix xenbaked tmpfile flaw
%patch62 -p1
# Delete kernel/initrd after dryrun xm create
%patch63 -p1
# Cleanup after failed pygrub run
%patch64 -p1
# Cleanup xenstored TDB file upon boot
%patch65 -p1
# Fix USB tablet in QEMU
%patch66 -p1
# Add NUMA info to physinfo sysctl
%patch67 -p1
# Add NR Cpus to physinfo sysctl
%patch68 -p1
# Add availheap sysctl
%patch69 -p1

# Add xm trigger command
%patch70 -p1
# Deal with network device aliases
%patch71 -p1
# xm man page docs fix
%patch72 -p1
# Fix blkif check for Solaris
%patch73 -p1
# Fix libxc destroy for large VMs
%patch74 -p1
# Fix crash dump of PAE guests > 4 GB
%patch75 -p1
# Allow VIF type of None for HVM
%patch76 -p1
# Fix CDROM media change
%patch78 -p1
# Wait for devices when rebooting guest
%patch79 -p1

# Fix pygrub unaligned access
%patch80 -p1
# Add timestamps to logfiles
%patch81 -p1
# Process domain restart in background
%patch82 -p1
# Fix NUMA sysctl NULL handling
%patch83 -p1
# Clarify 'mem-set' and 'vcpus-set' options in xm(1)
%patch84 -p1

# Fix realpath() overflow in qemu-img
%patch93 -p1

# config patches
%patch100 -p1
%patch102 -p1
%patch103 -p1

# pv framebuffer patches
%patch201 -p1
%patch202 -p1
%patch204 -p1
%patch207 -p1
%patch208 -p1
%patch209 -p1
%patch210 -p1
%patch211 -p1
%patch212 -p1

# vnclisten/password patches
%patch222 -p1
%patch224 -p1
%patch226 -p1

# pygrub patches
%patch251 -p1
%patch252 -p1
%patch253 -p1
%patch254 -p1

# Patches to deal with stuff from the 3.1.0 backport
# Remove xm i18n from build process
%patch500 -p1
# Fix for libxc  domid <-> dom  changes
%patch501 -p1
# Fix for change in domain creation requirements
%patch502 -p1
# Fix PV restore & implement HVM save+restore
%patch503 -p1
# Move pygrub output back to /var/lib/xen
%patch504 -p1
# Move blktap pipes back to /dev/xen
%patch505 -p1
# Move HVM device state to /var/lib/xen instead of /tmp
%patch506 -p1
# Disable Xen API docs build since we don't have that
%patch507 -p1
# Determine native protocol for kernel image
%patch508 -p1
# Write the native protocol for front/back devices
%patch509 -p1

# Add NVRAM support for ia64
%patch510 -p1
# Revert a bit of save/restore code we shouldn't have included
%patch511 -p1
# Don't destroy guests after shutdown timeout
%patch512 -p1
# QEMU error checking in HVM restore
%patch513 -p1
# XenD balloon enough memory for HVM restore
%patch514 -p1
# Avoid bogus VNC password prompts after migrate/restore
%patch515 -p1
# Fix NVRAM cleanup for ia64
%patch516 -p1
# Fix NVRAM cleanup in domani destroy
%patch517 -p1
# Fix domid param for PCI devices
%patch518 -p1

# CVE patches
%patch600 -p1
%patch601 -p1
%patch603 -p1

#Backport of new VNC auth from Xen 3.2.0

# Create a QEMU fv machine type
%patch700 -p1
# Create a QEMU pv machine type
%patch701 -p1
# Move code to ioemu dir
%patch702 -p1
# Revert existing QEMU VNC password code
%patch703 -p1
# Fix a QEMU event loop bug
%patch704 -p1
# Add QEMU VNC password + TLS auth
%patch705 -p1
# Add XenD config for x509 certs
%patch706 -p1
# Add compat FB support to QEMU
%patch707 -p1
# Fix keymapping in QEMU for PVFB
%patch708 -p1
# Fix PVFB to validate frame buffer description
%patch709 -p1
# Fix PVFB to cope with bogus update requests
%patch710 -p1
# make sure ioemu flushes data to disk if the guest requests it

%patch800 -p1
# fix HVM SMP boot on Intel machines with 3.1.2 HV
%patch801 -p1

# CVE-2008-2004
%patch802 -p1
# CVE-2008-1945
%patch803 -p1

%build
# libvncserver first
cat > tools/check/check_libvncserver <<EOF
#!/bin/sh
exit 0
EOF
chmod +x tools/check/check_libvncserver

CFLAGS="$RPM_OPT_FLAGS" %{__make} XENFB_TOOLS=n XEN_PYTHON_NATIVE_INSTALL=1 DESTDIR=%{buildroot} tools docs

%install
rm -rf %{buildroot}
make XENFB_TOOLS=n XEN_PYTHON_NATIVE_INSTALL=1 DESTDIR=%{buildroot} prefix=/usr install-tools install-docs
mkdir -p %{buildroot}%{_localstatedir}/lib/%{name}/xend-db/domain
mkdir -p %{buildroot}%{_localstatedir}/lib/%{name}/xend-db/vnet
mkdir -p %{buildroot}%{_localstatedir}/lib/%{name}/xend-db/migrate
mkdir -p %{buildroot}%{_localstatedir}/lib/xenstored
mkdir -p %{buildroot}%{_localstatedir}/run/xenstored
rm -rf %{buildroot}%{_datadir}/doc/qemu

rm -rf %{buildroot}%{_sysconfdir}/hotplug

# install all of the public headers
mkdir -p %{buildroot}%{_includedir}/xen/io %{buildroot}%{_includedir}/xen/hvm
mkdir -p %{buildroot}%{_includedir}/xen/arch-x86
install -m 644 xen/include/public/io/*.h %{buildroot}%{_includedir}/xen/io
install -m 644 xen/include/public/hvm/*.h %{buildroot}%{_includedir}/xen/hvm
install -m 644 xen/include/public/arch-x86/*.h %{buildroot}%{_includedir}/xen/arch-x86
install -m 644 xen/include/public/*.h %{buildroot}%{_includedir}/xen/
install -m 644 xen/include/public/COPYING %{buildroot}%{_includedir}/xen/

### fixing start-script dir
mkdir -p %{buildroot}/etc/rc.d
mv -f %{buildroot}/etc/init.d %{buildroot}/etc/rc.d/
mkdir -p %{buildroot}/etc/sysconfig
cp %{SOURCE3} %{buildroot}/etc/sysconfig/xend

mv -f %{buildroot}/etc/udev/xen-backend.rules %{buildroot}/etc/udev/rules.d/

# silly doc dir fun
rm -fr %{buildroot}/%{_datadir}/doc/xen/

# create dirs in /var/run so that selinux contexts are right (#195952)
mkdir -p %{buildroot}/var/run/xend
mkdir -p %{buildroot}/var/log/xen
mkdir -p %{buildroot}/var/log/xen/console
mkdir -p %{buildroot}/var/lib/xen/images

# avoid conflicting with qemu (#199759)
rm -f %{buildroot}/%{_mandir}/man*/qemu*

%post
/sbin/chkconfig --add xend
/sbin/chkconfig --add xendomains

%preun
if [ $1 = 0 ]; then
  /sbin/chkconfig --del xend
  /sbin/chkconfig --del xendomains
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING README
%doc docs/pdf/
%doc docs/misc/
%{_sbindir}/*
%{_bindir}/*
%{python_sitearch}/%{name}
%{python_sitearch}/fsimage.so
%{python_sitearch}/grub
%{_libdir}/%{name}
%{_mandir}/man?/*.?.gz
%dir /usr/lib/xen
%ifnarch ia64
%dir /usr/lib/xen/boot
/usr/lib/xen/boot/hvmloader
%endif
%dir %{_datadir}/%{name}/qemu
%{_datadir}/%{name}/qemu/keymaps/*
%dir %{_localstatedir}/lib/%{name}
%{_localstatedir}/lib/%{name}/*
%config(noreplace) %{_sysconfdir}/sysconfig/xend
%{_sysconfdir}/rc.d/init.d/*
%{_sysconfdir}/udev/rules.d/*
%dir %attr(0700,root,root) %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/*
%config(noreplace) %{_sysconfdir}/sysconfig/xendomains
%dir %{_localstatedir}/lib/xenstored
%dir %{_localstatedir}/run/xenstored
%dir %{_localstatedir}/run/xend
%dir %attr(0700,root,root) /var/log/xen
%dir %attr(0700,root,root) /var/log/xen/console

%files libs
%defattr(-,root,root)
%{_libdir}/*.so.*
%{_libdir}/fs/*

%files devel
%defattr(-,root,root)
%{_includedir}/*.h
%dir %{_includedir}/xen
%{_includedir}/xen/*
%{_libdir}/*.so
%{_libdir}/*.a

%changelog
* Fri Aug 29 2008 Daniel Berrange <berrange@redhat.com> - 3.0.3-64.el5_2.3
- Fix overflow in qemu-img (rhbz #454651)

* Wed May 21 2008 Markus Armbruster <armbru@redhat.com> - 3.0.3-64.el5_2.2
- Correctly limit PVFB size CVE-2008-1952 (rhbz #447760)
- Disable QEMU USB disk image format auto-detection CVE-2008-1945 (rhbz #445845)

* Fri May  9 2008 Daniel P. Berrange <berrange@redhat.com> - 3.0.3-64.el5_2.1
- Remove blktap sharing patch which prevents guests with large
  numbers of disks booting (rhbz #445789)

* Wed Apr 30 2008 Markus Armbruster <armbru@redhat.com> - 3.0.3-64.el5
- Disable QEMU image format auto-detection CVE-2008-2004 (rhbz #444701)

* Wed Apr 23 2008 Markus Armbruster <armbru@redhat.com> - 3.0.3-63.el5
- Fix PVFB to validate frame buffer description (rhbz #443377)
- Fix PVFB to cope with bogus update requests (rhbz #443392)

* Tue Apr  8 2008 Chris Lalancette <clalance@redhat.com> - 3.0.3-62.el5
- Fix pvfb SDL window (rhbz #438440)

* Tue Apr  1 2008 Daniel P. Berrange <berrange@redhat.com> - 3.0.3-61.el5
- Fix pvfb key mapping (rhbz #439435)

* Thu Mar 27 2008 Chris Lalancette <clalance@redhat.com> - 3.0.3-60.el5
- Pull in the userland side of upstream c/s 15161 to fix fully virt SMP
  boot on Intel machines (rhbz #435744)

* Wed Mar 26 2008 Richard W.M. Jones <rjones@redhat.com> - 3.0.3-59.el5
- Clarify documentation for 'xm vcpu-set' and 'xm mem-set' on FV guests
  (earlier changelog entry for this bug is incorrect) (rhbz #370101)

* Wed Mar 19 2008 Daniel P. Berrange <berrange@redhat.com> - 3.0.3-58.el5
- Fix xentop segmentation fault (rhbz #436772)

* Wed Mar 12 2008 Daniel P. Berrange <berrange@redhat.com> - 3.0.3-57.el5
- Do domain restart in background (rhbz #435356)

* Sat Mar  8 2008 Daniel P. Berrange <berrange@redhat.com> - 3.0.3-56.el5
- Fix QEMU block device extents checking CVE-2008-0928 (rhbz #433560)

* Wed Feb 27 2008 Chris Lalancette <clalance@redhat.com> - 3.0.3-55.el5
- Fix FV O_DIRECT flushing (rhbz #433862)

* Mon Feb 18 2008 Daniel P. Berrange <berrange@redhat.com> - 3.0.3-54.el5
- Fix pygrub unaligned access (rhbz #259541)
- Add timestamp to console and hypervisor log files (rhbz #271181)

* Mon Feb  4 2008 Daniel P. Berrange <berrange@redhat.com> - 3.0.3-53.el5
- Wait for devices when rebooting guest (rhbz #293021)

* Tue Jan 29 2008 Daniel P. Berrange <berrange@redhat.com> - 3.0.3-52.el5
- Fix CDROM media changes (rhbz #372301)

* Thu Jan 24 2008 Daniel P. Berrange <berrange@redhat.com> - 3.0.3-51.el5
- Fix PCI device passthrough (rhbz #339421)
- Fix device sharing checks for blktap disks (rhbz #223259)

* Wed Jan 23 2008 Daniel P. Berrange <berrange@redhat.com> - 3.0.3-50.el5
- Allow type of None for VIF in HVM guests (rhbz #300531)
- Fix release of NVRAM on domain reboot cleanup (rhbz #426079)

* Fri Jan 18 2008 Daniel P. Berrange <berrange@redhat.com> - 3.0.3-49.el5
- Fix another 4gb overflow issue (rhbz #285871)

* Fri Jan 18 2008 Daniel P. Berrange <berrange@redhat.com> - 3.0.3-48.el5
- Fix NVRAM cleanup for ia64 (rhbz #428653)
- Fix destroy of large VMs (rhbz #428651)
- Fix crash dump of PAE guests > 4 GB (rhbz #336041)

* Fri Jan 18 2008 Daniel P. Berrange <berrange@redhat.com> - 3.0.3-47.el5
- Really fix qemu bug (rhbz #360381)
- Fix blkif check to distinguish 0 and None for Solaris (rhbz #253222)

* Thu Jan 17 2008 Daniel P. Berrange <berrange@redhat.com> - 3.0.3-46.el5
- Fix qemu bug (CVE-2007-5730) (rhbz #360381)
- Fix xm manpage docs (rhbz #370101)

* Wed Jan 16 2008 Daniel P. Berrange <berrange@redhat.com> - 3.0.3-45.el5
- Switch PVFB over to use QEMU for backend (rhbz#428231)

* Fri Jan 11 2008 Daniel P. Berrange <berrange@redhat.com> - 3.0.3-44.el5
- Deal with network device aliases (rhbz#245866)

* Wed Jan  9 2008 Daniel P. Berrange <berrange@redhat.com>
- Add NUMA info to physinfo sysctl (rhbz #426322)
- Add NR cpus info to physinfo sysctl (rhbz #426323)
- Add availheap sysctl (rhbz #426321)
- Add 'xm trigger' command (rhbz #223900)

* Thu Jan  3 2008 Daniel P. Berrange <berrange@redhat.com> - 3.0.3-43.el5
- Fixed xenbaked tmpfile flaw (CVE-2007-3919) (rhbz #350421)
- Delete kernel/initrd after dryrun xm create (rhbz #251225)
- Update 32-on-64 PVFB compat fix (rhbz #253221)
- Delete xenstored TDB upon startup (rhbz #356461)
- Cleanup kernel/initrd after pygrub errors (rhbz #231144)
- Stop SDL backend choking on bogus screen updates (rhbz #368931)
- Fix handling of lilo.conf for ia64 (rhbz #288371)
- Backport USB tablet fixes (rhbz #245574)
- Fix libvncserver unaligned access (rhbz #286021)

* Thu Dec 13 2007 Daniel P. Berrange <berrange@redhat.com> - 3.0.3-42.el5
- Re-add IPv6 autoconf disable patch (rhbz #350041)

* Tue Sep 25 2007 Chris Lalancette <clalance@redhat.com> - 3.0.3-41.el5
- QEmu NE2000 overflow check - CVE-2007-1321 (rhbz #296281)
- Pygrub guest escape - CVE-2007-4993 (rhbz #302831)

* Fri Sep 14 2007 Daniel P. Berrange <berrange@redhat.com> - 3.0.3-40.el5
- Rewrite locking in hotplug scripts to fix timeouts (rhbz #267861)

* Tue Sep  4 2007 Daniel P. Berrange <berrange@redhat.com> - 3.0.3-39.el5
- Require xen-hypervisor-abi = 3.1 to pull in neccessary kernel (rhbz #267121)

* Fri Aug 31 2007 Daniel P. Berrange <berrange@redhat.com> - 3.0.3-38.el5
- Fixed memory ballooning for HVM restore (rhbz #253583)
- Avoid bogus VNC password prompts after migrate/restore (rhbz #252359)

* Mon Aug 27 2007 Daniel P. Berrange <berrange@redhat.com> - 3.0.3-37.el5
- Fix UUID normalization when no UUID is present (rhbz #253683)
- Fix handling of 'keymap' param in config files (rhbz #252361)
- Don't destroy guest after shutdown timeout (rhbz #236595)

* Thu Aug 16 2007 Daniel P. Berrange <berrange@redhat.com> - 3.0.3-36.el5
- Ensure PVFB daemon terminates promptly on domain shutdown (rhbz #252232)
- Fix rtl8139 checksums for VISTA (rhbz #251407)

* Thu Aug 16 2007 Hugh O. Brock <hbrock@redhat.com>
- Update package description to better reflect reality (rhbz #249719)

* Wed Aug  1 2007 Daniel P. Berrange <berrange@redhat.com> - 3.0.3-35.el5
- Fix more VNC threading problems (rhbz #245188)
- Fix save/restore edge case (rhbz #245960)
- Fix legacy PVFB for 32-on-64 (rhbz #248947)

* Thu Jul 19 2007 Daniel P. Berrange <berrange@redhat.com> - 3.0.3-34.el5
- Fixed booting guests with legacy native ABI device protocol (rhbz#248192)
- Fix more VNC keycode/keysym mappings issues (rhbz #248863)
- Fix potential QEMU crash when VNC client disconnects (rhbz #230083)
- Add NVRAM support for ia64 guests (rhbz #246006)
- Normalize UUID to avoid loosing guest name upon restarts (rhbz #249564)

* Mon Jul  9 2007 Daniel P. Berrange <berrange@redhat.com> - 3.0.3-33.el5
- fix ethernet bonding in balanced-rr mode (rhbz#215887)

* Mon Jul  9 2007 Daniel P. Berrange <berrange@redhat.com> - 3.0.3-32.el5
- Fix vncport type cast for HVM guests (rhbz#211208)
- Ignore failures in dump core (rhbz#246280)

* Thu Jun 28 2007 Daniel P. Berrange <berrange@redhat.com> - 3.0.3-31.el5
- Rate limit console messages from guest (rhbz 204504)
- Use -r flag to losetup for readonly block devices (rhbz 225166)
- Mark /etc/sysconfig/xend as a config file (rhbz 202636, rhbz 223911)

* Tue Jun 26 2007 Daniel P. Berrange <berrange@redhat.com> - 3.0.3-30.el5
- Fix address test in network-bridge (rhbz 237667)
- Permissions of xend-debug.log (rhbz 234227)
- Hotplug scripts error reporting (rhbz 233433)
- Disable network-bridge if running on Dom0 with nfs/iscsi root device (rhbz 238143)

* Fri Jun 15 2007 Markus Armbruster <armbru@redhat.com> - 3.0.3-29.el5
- Fix a race in the pvfb startup (rhbz 243884)
- Loadable pvfb keymap (rhbz 223799)
- Fix pvfb save/restore broken in 3.0.3-27.el5

* Fri Jun 15 2007 Daniel P. Berrange <berrange@redhat.com>
- Fixed 32-bit core dumps with HVM (rhbz 244300)
- Add persistent logging of guest & hypervisor console (rhbz 202636, rhbz 223911)
- Fix destroyDevice() args (rhbz 222094)
- Check file exists in blktap hotplug scripts (rhbz 215342)
- Make SXPR server in XenD multi-threaded (rhbz 210141)

* Thu Jun 14 2007 Daniel P. Berrange <berrange@redhat.com> - 3.0.3-28.el5
- Fixed xm man page about block device modes (rhbz#225490)

* Thu Jun 14 2007 Daniel P. Berrange <berrange@redhat.com> - 3.0.3-27.el5
- Update low level (non-XenD) userspace to work with 3.1.0 hypervisor (rhbz#243462,
  rhbz#234166, rhbz#230790)
- Patch XenD to use 'domid' instead of 'dom' with libxc
- Patch XenD to use new HVM domain creation process
- Remove unused i18n stuff from Makefile
- Fix pygrub, blktapctrl paths to return to original settings
- Back-port 3.1.0  HVM save/restore changes to XenD (rhbz#214995)
- Move HVM save/restore files from /tmp to /var/lib/xen (rhbz#214995)
- Ensure pvfb backend terminates when frontend vanishes early (rhbz#230634)
- Save vncpasswd in xenstore along with the other pvfb
  configuration (rhbz#220494)
- Fix allocation of fixed VNC ports for pvfb (rhbz#211208)
- Don't start a xen-vncfb process for HVM (rhbz#225413)

* Thu Mar  1 2007 Rik van Riel <riel@redhat.com> - 3.0.3-26.el5
- disable qemu monitor mode, for security reasons (rhbz#230295)
- fix IA64 shadow page table mode (rhbz#230459, rhbz#230331)

* Wed Feb  7 2007 Stephen Tweedie <sct@redhat.com> - 3.0.3-25.el5
- Update man pages to remove deficient sections (rhbz#225603)

* Mon Jan 29 2007 Rik van Riel <riel@redhat.com> - 3.0.3-23.el5
- enable shadow mode before memory reservation for HVM (rhbz#222467)

* Wed Jan 24 2007 Rik van Riel <riel@redhat.com> - 3.0.3-22.el5
- disable ipv6 autoconf on xenbr* devices (rhbz#216504)

* Tue Jan  9 2007 Rik van Riel <riel@redhat.com> - 3.0.3-21.el5
- make /var/log/xen only readable by root (rhbz#212082)
- we no longer package /var/xen/dump, so don't mkdir it

* Fri Jan  5 2007 Rik van Riel <riel@redhat.com> - 3.0.3-20.el5
- fix core dumps of 32 bit guests >2GB RAM (rhbz#215796)
- write the /local/domain/vm node early in the startup process (rhbz#215269)

* Thu Jan  4 2007 Rik van Riel <riel@redhat.com> - 3.0.3-19.el5
- fix memory boundary checking in qemu-dm (rhbz#221119)
- fix VNC JP106 keyboard handling (rhbz#215778)

* Mon Dec 18 2006 Rik van Riel <riel@redhat.com> - 3.0.3-18.el5
- add --force option to xenbus device detach code (rhbz#217853)
- fix keeping track of HVM vnc password (rhbz#218050)

* Sun Dec 17 2006 Rik van Riel <riel@redhat.com> - 3.0.3-17.el5
- enable DMA on HVM virtual cdrom drive (rhbz#218357)
- new paravirt framebuffer, as merged upstream (rhbz#218050)

* Thu Dec 14 2006 Jeremy Katz <katzj@redhat.com> - 3.0.3-16.el5
- more cosmetic pygrub fixing (rhbz#215316) 

* Tue Dec 12 2006 Rik van Riel <riel@redhat.com> - 3.0.3-15.el5
- make ballooning work right (rhbz#212069)

* Thu Dec  7 2006 Rik van Riel <riel@redhat.com> - 3.0.3-14.el5
- do not auto-start a domain that was restored from a save (rhbz#217295)
- use log level info for messages that are not errors (rhbz#218759)
- Resolves: rhbz#217295 rhbz#218759

* Thu Dec  7 2006 Daniel Veillard <veillard@redhat.com> - 3.0.3-13.el5
- Allows HTTP request to dump core of a domain (rhbz#214913)
- Related: rhbz#214913

* Tue Dec  5 2006 Rik van Riel <riel@redhat.com> - 3.0.3-12.el5
- catch it when an HVM guest tries to use hde (rhbz#217736)
- make "xm list" display how much memory a domain really has (rhbz#217443)
- move rtc timer for HVM guests into the hypervisor (rhbz#214780)
- Resolves: rhbz#214780 rhbz#217736 rhbz#217443

* Mon Dec  4 2006 Rik van Riel <riel@redhat.com> - 3.0.3-11.el5
- pass qemu and blktap I/O errors back to the guest
- Resolves: rhbz#217765 rhbz#217859

* Sun Dec  3 2006 Rik van Riel <riel@redhat.com> - 3.0.3-10.el5
- fix 2TB overflow/wraparound in blktap (rhbz#217580)
- various fixes from Herbert Xu's security audit
- allow HVM virtual floppy to be a device on dom0 (rhbz#216449)
- make uppercase characters always work in HVM console (rhbz#217554)
- Resolves: rhbz#217580 rhbz#216449 rhbz#217999 rhbz#218000 rhbz#218002 rhbz#218003 rhbz#218005 rhbz#217554

* Mon Nov 27 2006 Rik van Riel <riel@redhat.com> - 3.0.3-9.el5
- reapply the for bugs 211600, 212193 and 211697
- move the dump path to /var/lib/xen (bug 212558)
- Resolves: rhbz#211600 rhbz#212193 rhbz#211697 rhbz#212558

* Wed Nov  8 2006 Rik van Riel <riel@redhat.com> - 3.0.3-8.el5
- undo the fixes for bz 211600, 212193 and 211697, apply them after beta 2
- fix vmxassist segment loading on real->protected mode transition (bz 214004)

* Wed Nov  8 2006 Rik van Riel <riel@redhat.com> - 3.0.3-7.el5
- fix the uptime statistic for suspended/resumed guests (bz 211600)
- improve the error message when domU uses the wrong device (bz 212193)
- print the full path to the config file in error messages (bz 211697)

* Mon Oct 30 2006 Jeremy Katz <katzj@redhat.com> - 3.0.3-6.el5
- fix cosmetic issues in pygrub (#210479, #207242)

* Mon Oct 30 2006 Daniel P. Berrange <berrange@redhat.com> - 3.0.3-5.el5
- Added /var/lib/xen/images as default dir for storing guest disk image files
  to ensure correct selinux context (bz 212995)

* Thu Oct 26 2006 Rik van Riel <riel@redhat.com> - 3.0.3-4.el5
- make sure xend opens log files with O_APPEND (bz 212081)

* Mon Oct 23 2006 Daniel P. Berrange <berrange@redhat.com> - 3.0.3-3.el5
- Switch /etc/xen directory to be mode 0700 because the config files
  can contain plain text passwords (bz 209335)

* Thu Oct 19 2006 Daniel P. Berrange <berrange@redhat.com> - 3.0.3-2.el5
- Re-build with correct PV vncpassword patch

* Thu Oct 19 2006 Daniel P. Berrange <berrange@redhat.com> - 3.0.3-1.el5
- Pull in the official 3.0.3 tarball of xen (changeset 11774). No functional
  change, only release number toggled.
- Add patches for VNC password authentication (bz 209335)

* Wed Oct 18 2006 Rik van Riel <riel@redhat.com> - 3.0.3-0.3.rc5.el5
- Change the package dependency to python-virtinst to reflect the
  package name change.

* Mon Oct 16 2006 Stephen C. Tweedie <sct@redhat.com> - 3.0.3-0.2.rc5.el5
- Update to xen-3.0.3-testing-rc5+ changeset 11772 (bz 210014)

* Sat Oct  7 2006 Danel P. Berrange <berrange@redhat.com> - 3.0.2-45.el5
- Fix handling of bootloader with blktap based disk devices

* Wed Oct  4 2006 Jeremy Katz <katzj@redhat.com> - 3.0.2-44
- fix having "many" kernels in pygrub

* Wed Oct  4 2006 Stephen C. Tweedie <sct@redhat.com> - 3.0.2-43
- Fix SMBIOS tables for SVM guests [danpb] (bug 207501)

* Fri Sep 29 2006 Daniel P. Berrange <berrange@redhat.com> - 3.0.2-42
- Added vnclisten patches to make VNC only listen on localhost
  out of the box, configurable by 'vnclisten' parameter (bz 203196)

* Thu Sep 28 2006 Stephen C. Tweedie <sct@redhat.com> - 3.0.2-41
- Update to xen-3.0.3-testing changeset 11633

* Thu Sep 28 2006 Stephen C. Tweedie <sct@redhat.com> - 3.0.2-40
- Workaround blktap/xenstore startup race
- Add udev rules for xen blktap devices (srostedt)
- Add support for dynamic blktap device nodes (srostedt)
- Fixes for infinite dom0 cpu usage with blktap
- Fix xm not to die on malformed "tap:" blkif config string
- Enable blktap on kernels without epoll-for-aio support.
- Load the blktap module automatically at startup
- Reenable blktapctrl

* Wed Sep 27 2006 Daniel Berrange <berrange@redhat.com> - 3.0.2-39
- Disable paravirt framebuffer server side rendered cursor (bz 206313)
- Ignore SIGPIPE in paravirt framebuffer daemon to avoid terminating
  on client disconnects while writing data (bz 208025)

* Wed Sep 27 2006 Jeremy Katz <katzj@redhat.com> - 3.0.2-38
- Fix cursor in pygrub (#208041)

* Tue Sep 26 2006 Daniel P. Berrange <berrange@redhat.com> - 3.0.2-37
- Removed obsolete scary warnings in package description

* Thu Sep 21 2006 Stephen C. Tweedie <sct@redhat.com> - 3.0.2-36
- Add Requires: kpartx for dom0 access to domU data

* Wed Sep 20 2006 Stephen C. Tweedie <sct@redhat.com> - 3.0.2-35
- Don't strip qemu-dm early, so that we get proper debuginfo (danpb)
- Fix compile problem with latest glibc

* Wed Sep 20 2006 Stephen C. Tweedie <sct@redhat.com> - 3.0.2-34
- Update to xen-unstable changeset 11539
- Threading fixes for libVNCserver (danpb)

* Tue Sep  5 2006 Jeremy Katz <katzj@redhat.com> - 3.0.2-33
- update pvfb patch based on upstream feedback

* Tue Sep  5 2006 Juan Quintela <quintela@redhat.com> - 3.0.2-31
- re-enable ia64.

* Thu Aug 31 2006 Jeremy Katz <katzj@redhat.com> - 3.0.2-31
- update to changeset 11405

* Thu Aug 31 2006 Jeremy Katz <katzj@redhat.com> - 3.0.2-30
- fix pvfb for x86_64

* Wed Aug 30 2006 Jeremy Katz <katzj@redhat.com> - 3.0.2-29
- update libvncserver to hopefully fix problems with vnc clients disconnecting

* Tue Aug 29 2006 Jeremy Katz <katzj@redhat.com> - 3.0.2-28
- fix a typo

* Mon Aug 28 2006 Jeremy Katz <katzj@redhat.com> - 3.0.2-27
- add support for paravirt framebuffer

* Mon Aug 28 2006 Jeremy Katz <katzj@redhat.com> - 3.0.2-26
- update to xen-unstable cs 11251
- clean up patches some
- disable ia64 as it doesn't currently build 

* Tue Aug 22 2006 Jeremy Katz <katzj@redhat.com> - 3.0.2-25
- make initscript not spew on non-xen kernels (#202945)

* Mon Aug 21 2006 Jeremy Katz <katzj@redhat.com> - 3.0.2-24
- remove copy of xenguest-install from this package, require 
  python-xeninst (the new home of xenguest-install)

* Wed Aug  2 2006 Jeremy Katz <katzj@redhat.com> - 3.0.2-23
- add patch to fix rtl8139 in FV, switch it back to the default nic
- add necessary ia64 patches (#201040)
- build on ia64

* Fri Jul 28 2006 Jeremy Katz <katzj@redhat.com> - 3.0.2-22
- add patch to fix net devices for HVM guests 

* Fri Jul 28 2006 Rik van Riel <riel@redhat.com> - 3.0.2-21
- make sure disk IO from HVM guests actually hits disk (#198851)

* Fri Jul 28 2006 Jeremy Katz <katzj@redhat.com> - 3.0.2-20
- don't start blktapctrl for now
- fix HVM guest creation in xenguest-install
- make sure log files have the right SELinux label

* Tue Jul 25 2006 Jeremy Katz <katzj@redhat.com> - 3.0.2-19
- fix libblktap symlinks (#199820)
- make libxenstore executable (#197316)
- version libxenstore (markmc) 

* Fri Jul 21 2006 Jeremy Katz <katzj@redhat.com> - 3.0.2-18
- include /var/xen/dump in file list
- load blkbk, netbk and netloop when xend starts
- update to cs 10712
- avoid file conflicts with qemu (#199759)

* Wed Jul 19 2006 Mark McLoughlin <markmc@redhat.com> - 3.0.2-17
- libxenstore is unversioned, so make xen-libs own it rather
  than xen-devel

* Wed Jul 19 2006 Mark McLoughlin <markmc@redhat.com> 3.0.2-16
- Fix network-bridge error (#199414)

* Mon Jul 17 2006 Daniel Veillard <veillard@redhat.com> - 3.0.2-15
- desactivating the relocation server in xend conf by default and
  add a warning text about it.

* Thu Jul 13 2006 Stephen C. Tweedie <sct@redhat.com> - 3.0.2-14
- Compile fix: don't #include <linux/compiler.h>

* Thu Jul 13 2006 Stephen C. Tweedie <sct@redhat.com> - 3.0.2-13
- Update to xen-unstable cset 10675
- Remove internal libvncserver build, new qemu device model has its own one
  now.
- Change default FV NIC model from rtl8139 to ne2k_pci until the former works
  better

* Tue Jul 11 2006 Daniel Veillard <veillard@redhat.com> - 3.0.2-12
- bump libvirt requires to 0.1.2
- drop xend httpd localhost server and use the unix socket instead

* Mon Jul 10 2006 Jeremy Katz <katzj@redhat.com> - 3.0.2-11
- split into main packages + -libs and -devel subpackages for #198260
- add patch from jfautley to allow specifying other bridge for 
  xenguest-install (#198097)

* Mon Jul  3 2006 Jeremy Katz <katzj@redhat.com> - 3.0.2-10
- make xenguest-install work with relative paths to disk 
  images (markmc, #197518)

* Fri Jun 23 2006 Jeremy Katz <katzj@redhat.com> - 3.0.2-9
- own /var/run/xend for selinux (#196456, #195952)

* Tue Jun 13 2006 Jeremy Katz <katzj@redhat.com> - 3.0.2-8
- fix syntax error in xenguest-install

* Mon Jun 12 2006 Daniel Veillard <veillard@redhat.com> - 3.0.2-7
- more initscript patch to report status #184452

* Wed Jun  7 2006 Stephen C. Tweedie <sct@redhat.com> - 3.0.2-6
- Add BuildRequires: for gnu/stubs-32.h so that x86_64 builds pick up
  glibc32 correctly

* Wed Jun  7 2006 Stephen C. Tweedie <sct@redhat.com> - 3.0.2-5
- Rebase to xen-unstable cset 10278

* Fri May  5 2006 Jeremy Katz <katzj@redhat.com> - 3.0.2-4
- update to new snapshot (changeset 9925)

* Thu Apr 27 2006 Daniel Veillard <veillard@redhat.com> - 3.0.2-3
- xen.h now requires xen-compat.h, install it too

* Wed Apr 26 2006 Jeremy Katz <katzj@redhat.com> - 3.0.2-2
- -m64 patch isn't needed anymore either

* Tue Apr 25 2006 Jeremy Katz <katzj@redhat.com> - 3.0.2-1
- update to post 3.0.2 snapshot (changeset:   9744:1ad06bd6832d)
- stop applying patches that are upstreamed
- add patches for bootloader to run on all domain creations
- make xenguest-install create a persistent uuid
- use libvirt for domain creation in xenguest-install, slightly improve 
  error handling

* Tue Apr 18 2006 Daniel Veillard <veillard@redhat.com> - 3.0.1-5
- augment the close on exec patch with the fix for #188361

* Thu Mar  9 2006 Jeremy Katz <katzj@redhat.com> - 3.0.1-4
- add udev rule so that /dev/xen/evtchn gets created properly
- make pygrub not use /tmp for SELinux
- make xenguest-install actually unmount its nfs share.  also, don't use /tmp

* Tue Mar  7 2006 Jeremy Katz <katzj@redhat.com> - 3.0.1-3
- set /proc/xen/privcmd and /var/log/xend-debug.log as close on exec to avoid
  SELinux problems
- give better feedback on invalid urls (#184176)

* Mon Mar  6 2006 Stephen Tweedie <sct@redhat.com> - 3.0.1-2
- Use kva mmap to find the xenstore page (upstream xen-unstable cset 9130)

* Mon Mar  6 2006 Jeremy Katz <katzj@redhat.com> - 3.0.1-1
- fix xenguest-install so that it uses phy: for block devices instead of 
  forcing them over loopback.  
- change package versioning to be a little more accurate

* Thu Mar  2 2006 Stephen Tweedie <sct@redhat.com> - 3.0.1-0.20060301.fc5.3
- Remove unneeded CFLAGS spec file hack

* Thu Mar  2 2006 Rik van Riel <riel@redhat.com> - 3.0.1-0.20060301.fc5.2
- fix 64 bit CFLAGS issue with vmxloader and hvmloader

* Wed Mar  1 2006 Stephen Tweedie <sct@redhat.com> - 3.0.1-0.20060301.fc5.1
- Update to xen-unstable cset 9022

* Tue Feb 28 2006 Stephen Tweedie <sct@redhat.com> - 3.0.1-0.20060228.fc5.1
- Update to xen-unstable cset 9015

* Thu Feb 23 2006 Jeremy Katz <katzj@redhat.com> - 3.0.1-0.20060208.fc5.3
- add patch to ensure we get a unique fifo for boot loader (#182328)
- don't try to read the whole disk if we can't find a partition table 
  with pygrub 
- fix restarting of domains (#179677)

* Thu Feb  9 2006 Jeremy Katz <katzj@redhat.com> - 3.0.1-0.20060208.fc5.2
- fix -h conflict for xenguest-isntall

* Wed Feb  8 2006 Jeremy Katz <katzj@redhat.com> - 3.0.1-0.20060208.fc5.1
- turn on http listener so you can do things with libvir as a user

* Wed Feb  8 2006 Jeremy Katz <katzj@redhat.com> - 3.0.1-0.20060208.fc5
- update to current hg snapshot for HVM support
- update xenguest-install for hvm changes.  allow hvm on svm hardware
- fix a few little xenguest-install bugs

* Tue Feb  7 2006 Jeremy Katz <katzj@redhat.com> - 3.0-0.20060130.fc5.6
- add a hack to fix VMX guests with video to balloon enough (#180375)

* Tue Feb  7 2006 Jeremy Katz <katzj@redhat.com> - 3.0-0.20060130.fc5.5
- fix build for new udev

* Tue Feb  7 2006 Jeremy Katz <katzj@redhat.com> - 3.0-0.20060130.fc5.4
- patch from David Lutterkort to pass macaddr (-m) to xenguest-install
- rework xenguest-install a bit so that it can be used for creating 
  fully-virtualized guests as well as paravirt.  Run with --help for 
  more details (or follow the prompts)
- add more docs (noticed by Andrew Puch)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 3.0-0.20060130.fc5.3.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Thu Feb  2 2006 Bill Nottingham <notting@redhat.com> 3.0-0.20060130.fc5.3
- disable iptables/ip6tables/arptables on bridging when bringing up a
  Xen bridge. If complicated filtering is needed that uses this, custom
  firewalls will be needed. (#177794)

* Tue Jan 31 2006 Bill Nottingham <notting@redhat.com> 3.0-0.20060130.fc5.2
- use the default network device, don't hardcode eth0

* Tue Jan 31 2006  <sct@redhat.com> - 3.0-0.20060130.fc5.1
- Add xenguest-install.py in /usr/sbin

* Mon Jan 30 2006  <sct@redhat.com> - 3.0-0.20060130.fc5
- Update to xen-unstable from 20060130 (cset 8705)

* Wed Jan 25 2006 Jeremy Katz <katzj@redhat.com> - 3.0-0.20060110.fc5.5
- buildrequire dev86 so that vmx firmware gets built
- include a copy of libvncserver and build vmx device models against it 

* Tue Jan 24 2006 Bill Nottingham <notting@redhat.com> - 3.0-0.20060110.fc5.4
- only put the udev rules in one place

* Fri Jan 20 2006 Jeremy Katz <katzj@redhat.com> - 3.0-0.20060110.fc5.3
- move xsls to xenstore-ls to not conflict (#171863)

* Tue Jan 10 2006  <sct@redhat.com> - 3.0-0.20060110.fc5.1
- Update to xen-unstable from 20060110 (cset 8526)

* Thu Dec 22 2005 Jesse Keating <jkeating@redhat.com> - 3.0-0.20051206.fc5.2
- rebuilt

* Tue Dec  6 2005 Juan Quintela <quintela@trasno.org> - 3.0-0.20051206.fc5.1
- 20051206 version (should be 3.0.0).
- Remove xen-bootloader fixes (integrated upstream).

* Wed Nov 30 2005 Daniel Veillard <veillard@redhat.com> - 3.0-0.20051109.fc5.4
- adding missing headers for libxenctrl and libxenstore
- use libX11-devel build require instead of xorg-x11-devel

* Mon Nov 14 2005 Jeremy Katz <katzj@redhat.com> - 3.0-0.20051109.fc5.3
- change default dom0 min-mem to 256M so that dom0 will try to balloon down

* Sat Nov 12 2005 Jeremy Katz <katzj@redhat.com>
- buildrequire ncurses-devel (reported by Justin Dearing)

* Thu Nov 10 2005 Jeremy Katz <katzj@redhat.com> - 3.0-0.20051109.fc5.2
- actually enable the initscripts

* Wed Nov  9 2005 Jeremy Katz <katzj@redhat.com> - 3.0-0.20051109.fc5.1
- udev rules moved

* Wed Nov  9 2005 Jeremy Katz <katzj@redhat.com> - 3.0-0.20051109.fc5
- update to current -unstable
- add patches to fix pygrub 

* Wed Nov  9 2005 Jeremy Katz <katzj@redhat.com> - 3.0-0.20051108.fc5
- update to current -unstable

* Fri Oct 21 2005 Jeremy Katz <katzj@redhat.com> - 3.0-0.20051021.fc5
- update to current -unstable

* Thu Sep 15 2005 Jeremy Katz <katzj@redhat.com> - 3.0-0.20050912.fc5.1
- doesn't require twisted anymore

* Mon Sep 12 2005 Rik van Riel <riel@redhat.com> 3.0-0.20050912.fc5
- add /var/{lib,run}/xenstored to the %files section (#167496, #167121)
- upgrade to today's Xen snapshot
- some small build fixes for x86_64
- enable x86_64 builds

* Thu Sep  8 2005 Rik van Riel <riel@redhat.com> 3.0-0.20050908
- explicitly call /usr/sbin/xend from initscript (#167407)
- add xenstored directories to spec file (#167496, #167121)
- misc gcc4 fixes 
- spec file cleanups (#161191)
- upgrade to today's Xen snapshot
- change the version to 3.0-0.<date> (real 3.0 release will be 3.0-1)

* Mon Aug 23 2005 Rik van Riel <riel@redhat.com> 2-20050823
- upgrade to today's Xen snapshot

* Mon Aug 15 2005 Rik van Riel <riel@redhat.com> 2-20050726
- upgrade to a known-working newer Xen, now that execshield works again

* Mon May 30 2005 Rik van Riel <riel@redhat.com> 2-20050530
- create /var/lib/xen/xen-db/migrate directory so "xm save" works (#158895)

* Mon May 23 2005 Rik van Riel <riel@redhat.com> 2-20050522
- change default display method for VMX domains to SDL

* Fri May 20 2005 Rik van Riel <riel@redhat.com> 2-20050520
- qemu device model for VMX

* Thu May 19 2005 Rik van Riel <riel@redhat.com> 2-20050519
- apply some VMX related bugfixes

* Mon Apr 25 2005 Rik van Riel <riel@redhat.com> 2-20050424
- upgrade to last night's snapshot

* Fri Apr 15 2005 Jeremy Katz <katzj@redhat.com>
- patch manpath instead of moving in specfile.  patch sent upstream
- install to native python path instead of /usr/lib/python
- other misc specfile duplication cleanup

* Sun Apr  3 2005 Rik van Riel <riel@redhat.com> 2-20050403
- fix context switch between vcpus in same domain, vcpus > cpus works again

* Sat Apr  2 2005 Rik van Riel <riel@redhat.com> 2-20050402
- move initscripts to /etc/rc.d/init.d (Florian La Roche) (#153188)
- ship only PDF documentation, not the PS or tex duplicates

* Thu Mar 31 2005 Rik van Riel <riel@redhat.com> 2-20050331
- upgrade to new xen hypervisor
- minor gcc4 compile fix

* Mon Mar 28 2005 Rik van Riel <riel@redhat.com> 2-20050328
- do not yet upgrade to new hypervisor ;)
- add barrier to fix SMP boot bug
- add tags target
- add zlib-devel build requires (#150952)

* Wed Mar  9 2005 Rik van Riel <riel@redhat.com> 2-20050308
- upgrade to last night's snapshot
- new compile fix patch

* Sun Mar  6 2005 Rik van Riel <riel@redhat.com> 2-20050305
- the gcc4 compile patches are now upstream
- upgrade to last night's snapshot, drop patches locally

* Fri Mar  4 2005 Rik van Riel <riel@redhat.com> 2-20050303
- finally got everything to compile with gcc4 -Wall -Werror

* Thu Mar  3 2005 Rik van Riel <riel@redhat.com> 2-20050303
- upgrade to last night's Xen-unstable snapshot
- drop printf warnings patch, which is upstream now

* Wed Feb 23 2005 Rik van Riel <riel@redhat.com> 2-20050222
- upgraded to last night's Xen snapshot
- compile warning fixes are now upstream, drop patch

* Sat Feb 19 2005 Rik van Riel <riel@redhat.com> 2-20050219
- fix more compile warnings
- fix the fwrite return check

* Fri Feb 18 2005 Rik van Riel <riel@redhat.com> 2-20050218
- upgrade to last night's Xen snapshot
- a kernel upgrade is needed to run this Xen, the hypervisor
  interface changed slightly
- comment out unused debugging function in plan9 domain builder
  that was giving compile errors with -Werror

* Tue Feb  8 2005 Rik van Riel <riel@redhat.com> 2-20050207
- upgrade to last night's Xen snapshot

* Tue Feb  1 2005 Rik van Riel <riel@redhat.com> 2-20050201.1
- move everything to /var/lib/xen

* Tue Feb  1 2005 Rik van Riel <riel@redhat.com> 2-20050201
- upgrade to new upstream Xen snapshot

* Tue Jan 25 2005 Jeremy Katz <katzj@redhat.com>
- add buildreqs on python-devel and xorg-x11-devel (strange AT nsk.no-ip.org)

* Mon Jan 24 2005 Rik van Riel <riel@redhat.com> - 2-20050124
- fix /etc/xen/scripts/network to not break with ipv6 (also sent upstream)

* Fri Jan 14 2005 Jeremy Katz <katzj@redhat.com> - 2-20050114
- update to new snap
- python-twisted is its own package now
- files are in /usr/lib/python now as well, ugh.

* Tue Jan 11 2005 Rik van Riel <riel@redhat.com>
- add segment fixup patch from xen tree
- fix %files list for python-twisted

* Mon Jan 10 2005 Rik van Riel <riel@redhat.com>
- grab newer snapshot, that does start up
- add /var/xen/xend-db/{domain,vnet} to %files section

* Thu Jan  6 2005 Rik van Riel <riel@redhat.com>
- upgrade to new snapshot of xen-unstable

* Mon Dec 13 2004 Rik van Riel <riel@redhat.com>
- build python-twisted as a subpackage
- update to latest upstream Xen snapshot

* Sun Dec  5 2004 Rik van Riel <riel@redhat.com>
- grab new Xen tarball (with wednesday's patch already included)
- transfig is a buildrequire, add it to the spec file

* Wed Dec  1 2004 Rik van Riel <riel@redhat.com>
- fix up Che's spec file a little bit
- create patch to build just Xen, not the kernels

* Wed Dec 01 2004 Che
- initial rpm release
